## gzip 1.13

=== debian/changelog ===
gzip (1.13-1ubuntu4) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:46:03 +0000

gzip (1.13-1ubuntu3) plucky; urgency=medium

  * Fix s390x FTBFS (LP: #2100598):
    - d/rules: revert change from 1.13-1ubuntu2, re-enabling DFLTCC on s390x
    - d/rules: define "alignas" to fix FTBFS on s390x (see
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66709#10)

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 01 Mar 2025 09:08:12 -0300

gzip (1.13-1ubuntu2) plucky; urgency=medium

  * Turn off DFLTCC optimizations on s390x, they're causing decompression to
    crash with an illegal instruction

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 11 Feb 2025 18:46:48 -0600

gzip (1.13-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/rules: Enable DFLTCC optimisations on s390x by default.
    - d/p/0001-maint-fix-s390-buffer-flushes.patch: align the behavior of
      dfltcc_inflate to do the same as gzip_inflate when it hits a premature
      EOF (LP: #2083700)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:59:19 -0600

gzip (1.13-1) sid; urgency=medium

  [ Milan Kupcevic ]
  * new upstream release
    - gzip.1: man page tuneup, closes: #894399
  * restore modified source files
  * drop timestamp test workaround for glibc bug #983769
  * set uncompress symlink, closes: #1041239
  * let debhelper handle symlinks
  * update copyright notice

  [ Gioele Barabucci ]
  * Stop building gzip-win32 package (Closes: #1037094, #1051861)
  * d/patches: Refresh gzip_reproducible_build.diff (Closes: #1058037)

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop explicit Build-Depends: autoconf, automake since these are
    implicitly included for debhelper compat 13

 -- Milan Kupcevic <milan@debian.org>  Thu, 16 Jan 2025 23:18:44 -0500

gzip (1.12-1.2) sid; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS from 64bit to 32bit: Pass --build to configure
    (closes: #1009893)
  * Clean generated files. (closes: #1044890)
  * Delete versioned dpkg depencency satisfied in buster.
    (closes: #1013734)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 30 Nov 2024 12:32:17 +0100

gzip (1.12-1.1ubuntu2) plucky; urgency=medium

  * d/p/0001-maint-fix-s390-buffer-flushes.patch: align the behavior of
    dfltcc_inflate to do the same as gzip_inflate when it hits a premature EOF
    (LP: #2083700)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 27 Jan 2025 14:04:06 -0300

gzip (1.12-1.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2074166). Remaining changes:
    - debian/rules: Enable DFLTCC optimisations on s390x by default.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 26 Jul 2024 12:35:38 +0300

gzip (1.12-1.1) sid; urgency=medium

  * Non-maintainer upload.
  * Move files to /usr (closes: #1059533)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Mar 2024 18:04:58 +0100
