=== debian/control ===
Source: gzip
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo, less
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/gzip.git
Vcs-Browser: https://salsa.debian.org/debian/gzip
Homepage: https://www.gnu.org/software/gzip/

Package: gzip
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Suggests: less
Conflicts: zutils (<< 1.13-2~)
Description: GNU compression utilities
 This package provides the standard GNU file compression utilities, which
 are also the default compression tools for Debian.  They typically operate
 on files with names ending in '.gz', but can also decompress files ending
 in '.Z' created with 'compress'.
