## gzip 1.14

=== debian/changelog ===
gzip (1.14-1~exp2) experimental; urgency=medium

  * d/rules: configure set /bin/sh and grep; autoreconf cleanup

 -- Milan Kupcevic <milan@debian.org>  Sun, 13 Apr 2025 09:27:04 -0400

gzip (1.14-1~exp1) experimental; urgency=medium

  * new upstream release

 -- Milan Kupcevic <milan@debian.org>  Sat, 12 Apr 2025 03:18:53 -0400

gzip (1.13.56~e549-1~exp1) experimental; urgency=medium

  * new upstream release
  * d/patches: quilt refresh
  * d/copyright: update
  * d/rules: use debhelper leverage
  * d/control: comply to standards version 4.7.2
  * d/patches/disable-Werror.patch: drop

 -- Milan Kupcevic <milan@debian.org>  Sun, 06 Apr 2025 12:59:34 -0400
