=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: gzip
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Milan Kupcevic <milan@debian.org>
-Build-Depends: debhelper-compat (= 13), texinfo, less
+Maintainer: Milan Kupcevic <milan@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ texinfo,
+ less
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/gzip.git
 Vcs-Browser: https://salsa.debian.org/debian/gzip
 Homepage: https://www.gnu.org/software/gzip/
