=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

RECONF_ITEMS=\
 INSTALL \
 Makefile.in \
 aclocal.m4 \
 build-aux/compile \
 build-aux/depcomp \
 build-aux/install-sh \
 build-aux/mdate-sh \
 build-aux/missing \
 build-aux/test-driver \
 build-aux/texinfo.tex \
 configure \
 doc/Makefile.in \
 doc/gzip.info \
 doc/stamp-vti \
 doc/version.texi \
 lib/Makefile.in \
 lib/config.hin \
 tests/Makefile.in

%:
	dh $@

override_dh_auto_configure:
	CONFIG_SHELL=/bin/sh \
	GREP=grep \
	dh_auto_configure

override_dh_auto_clean:
	if [ -f Makefile ]; then \
	  dh_auto_clean; \
	fi

execute_before_dh_autoreconf:
	mkdir "debian/reconf-items"
	for item in $(RECONF_ITEMS) ; do \
	  save_as=`echo $${item} | tr / -`; \
	  cp -an "$${item}" "debian/reconf-items/$${save_as}"; \
	done

execute_after_dh_autoreconf_clean:
	for item in $(RECONF_ITEMS) ; do \
	  saved_as=`echo $${item} | tr / -`; \
	  if [ -f "debian/reconf-items/$${saved_as}" ]; then \
	    mv "debian/reconf-items/$${saved_as}" "$${item}"; \
	  fi; \
	done
	if [ -d "debian/reconf-items" ]; then \
	  rmdir "debian/reconf-items"; \
	fi
